{"swagger": "2.0", "basePath": "/api", "paths": {"/1/builds": {"get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "List of build metadata", "schema": {"$ref": "#/definitions/BuildListResponse"}}}, "operationId": "Batch query endpoint for build metadata", "parameters": [{"required": false, "in": "query", "description": "Determines if download URLs will be generated for the builds (default: true)", "name": "includeUrls", "type": "string"}, {"required": true, "in": "query", "description": "UUID when requesting all builds for an application", "name": "appId", "type": "string"}], "tags": ["Builds"]}, "post": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/PostReturnResponse"}}}, "operationId": "Create metadata for a build", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ExpectedBuildData"}}], "tags": ["Builds"]}}, "/1/builds/{build_id}": {"parameters": [{"name": "build_id", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"properties": {"data": {"$ref": "#/definitions/Build%20Response%20Data"}}}}}, "operationId": "Retrieve metadata for a build", "parameters": [{"required": false, "in": "query", "description": "Boolean to determine if a download URL will be generated for the build (default: false)", "name": "includeUrl", "type": "string"}], "tags": ["Builds"]}, "patch": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"properties": {"data": {"$ref": "#/definitions/Build%20Response%20Data"}}}}, "400": {"description": "Invalid payload"}}, "operationId": "Update build metadata", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ExpectedPatchData"}}, {"required": false, "in": "query", "description": "Boolean to determine if a download URL will be generated for the build (default: false)", "name": "includeUrl", "type": "string"}], "tags": ["Builds"]}}, "/1/gfn-build-versions": {"get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/BuildVersionsResponseModel"}}}, "operationId": "Get Build Versions Info on GFN", "tags": ["Build Versions"]}}, "/1/gfn-build-versions/{version_id}/cancel": {"parameters": [{"name": "version_id", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"401": {"description": "Invalid or expired token presented"}}, "operationId": "To cancel a build version if not released yet", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/BuildVersionCancelModel"}}], "tags": ["Build Versions"]}}, "/1/gfn-build-versions/{version_id}/evictStatus": {"parameters": [{"name": "version_id", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"401": {"description": "Invalid or expired token presented"}}, "operationId": "To set or get eviction status of a build", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/BuildVersionEvictModel"}}], "tags": ["Build Versions"]}}, "/1/gfn-build-versions/{version_id}/zones": {"parameters": [{"name": "version_id", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/BuildVersionZonesResponseModel"}}}, "operationId": "Get Zones Availability of Build Version on GFN", "tags": ["Build Versions"]}}, "/1/gfn-game-status": {"get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/GameStatusResponseModel"}}}, "operationId": "Get Game Status on GFN", "tags": ["Game Status"]}}, "/1/gfn-zones": {"get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/GfnZonesResponseModel"}}}, "operationId": "Get All GFN Zones", "tags": ["GFN Zones"]}}, "/1/keys/encIngest": {"get": {"responses": {"403": {"description": "You do not have permission to access this resource"}, "401": {"description": "Missing, invalid, or expired credentials"}, "200": {"description": "Success", "schema": {"properties": {"data": {"$ref": "#/definitions/EncryptedIngestResponse"}}}}}, "operationId": "Retrieve Ingest keys to encrypt content", "tags": ["Keys"]}}, "/1/packages/approval/{app_id}/{patch_id}": {"parameters": [{"name": "app_id", "in": "path", "required": true, "type": "string"}, {"name": "patch_id", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/VersionApprovalStateModel"}}}, "operationId": "get_build_approval_version_resource", "tags": ["Create Packages"]}}, "/1/platform-build-details": {"get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/PlatformBuildDetailsListResponse"}}}, "operationId": "Get all platform build details for an application", "parameters": [{"required": true, "in": "query", "description": "Application UUID", "name": "appId", "type": "string"}], "tags": ["Platform Build Details"]}, "post": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/PlatformBuildDetailsResponse"}}}, "operationId": "post_platform_build_details_list_resource", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/PlatformBuildDetailsMetadata"}}], "tags": ["Platform Build Details"]}}, "/1/platform-build-details/{platform_details_id}": {"parameters": [{"name": "platform_details_id", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/PlatformBuildDetailsResponse"}}}, "operationId": "Get platform build details", "tags": ["Platform Build Details"]}, "patch": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/PlatformBuildDetailsResponse"}}}, "operationId": "Update platform build details", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/PlatformBuildDetailsPatchData"}}], "tags": ["Platform Build Details"]}}, "/1/platform-schemas/{platform}": {"parameters": [{"name": "platform", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/PlatformSchemaResponse"}}}, "operationId": "put_platform_schema_resource", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/PlatformSchema"}}], "tags": ["Platform-specific UI Schema"]}, "get": {"responses": {"401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"$ref": "#/definitions/PlatformSchemaResponse"}}}, "operationId": "Get schema for a platform", "tags": ["Platform-specific UI Schema"]}}, "/1/uploads/script/version": {"get": {"responses": {"403": {"description": "Unauthorized to perform operation"}, "401": {"description": "Invalid or expired token presented"}, "200": {"description": "Success", "schema": {"properties": {"data": {"$ref": "#/definitions/UploadScriptVersionModel"}}}}}, "operationId": "game build upload script versions", "tags": ["Uploads"]}}, "/1/uploads/{upload_id}": {"parameters": [{"in": "path", "description": "UUID for a upload", "name": "upload_id", "required": true, "type": "string"}], "put": {"responses": {"401": {"description": "Invalid or expired token presented"}}, "operationId": "put_upload_resource", "tags": ["Uploads"]}}, "/1/uploads/{upload_id}/aws-sign": {"parameters": [{"name": "upload_id", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"403": {"description": "Unauthorized to perform operation"}, "401": {"description": "Invalid or expired token presented"}}, "operationId": "post_sign_resource", "tags": ["Uploads"]}}, "/1/uploads/{upload_id}/chunk": {"parameters": [{"name": "upload_id", "in": "path", "required": true, "type": "string"}]}}, "info": {"title": "NVIDIA Build Management API", "version": "v1", "description": "\nThe NVIDIA Developer Services Platform REST API allows you to create, manage, and upload builds and associated metadata \nfor games registered in the [Developer Services Console](https://portal-developer.nvidia.com) and \npublished to the [GeForce NOW](http://www.geforce.com/geforce-now) platform.  This API allows you to manage your \norganization's game builds programmatically and are available as an alternative to managing builds from \nthe Developer Services Console web interface.\n\nThe Build Management API allow developers to:\n\n1. **Create metadata for a build**: Create a new build record and associated metadata including version information and the build release schedule from within your development pipeline or other build tooling.\n2. **Upload a build**: Upload a game build file using a resumable upload mechanism to allow for large files and to avoid having to restart the upload in the event of any network interruption or other transmission failures.\n3. **Retrieve metadata for a build**: Access all metadata associated with the build, including the status of the build.\n\nUsage\n===== \n**Endpoint prefix:** `/api/1`\n\nAll endpoints accept and return JSON except where otherwise indicated, and JSON responses from successful requests \nare wrapped in a \"data\" envelope.  Example:\n<pre>{\n    \"data\": {\n        \"id\": \"f9c76864-eefb-41cb-a848-443f0850968f\",\n        \"appId\": \"92d204f6-3aaa-4100-bc67-483e0cda2fc0\",\n        \"changeVersion\": \"f78d7407\",\n        \"createdBy\": \"123456789012345678\",\n        \"createdTime\": \"2018-11-08T23:01:38Z\",\n        \"fileDetails\": {\n            \"fileName\": \"newbuild.zip\",\n            \"fileSize\": 1234\n        },\n        \"label\": \"Debug build 12.1\",\n        \"launchCommand\": \"game.exe -geforcenow\",\n        \"modifiedTime\": \"2018-11-08T23:01:38Z\",\n        \"scheduledRelease\": \"2018-07-03T12:54:00\",\n        \"semanticVersion\": \"1.0.1\",\n        \"status\": \"UPLOADING\",\n        \"url\": \"https://s3.amazonaws.com/builds/857f0876-c7ad-4f63-86ce-1d8dd0761f2f\",\n        \"uploadUrl\": \"https://cms.nvidia.com/api/1/uploads/4695df1b-1afe-42aa-bc2c-30d1aaee363f\"\n    }\n}</pre>\n\nFailed requests will not have a \"data\" envelope, but will have a \"message\" and optionally other properties for \nadditional context.  Example:\n<pre>{\n    \"errors\": {\n        \"appId\": \"'appId' is a required property\"\n    },\n    \"message\": \"Input payload validation failed\"\n}</pre>\n"}, "produces": ["application/json"], "consumes": ["application/json"], "securityDefinitions": {"Bearer": {"type": "apiKey", "in": "header", "name": "Authorization", "description": "Authenticate to this API using a JWT API key created in the [portal](https://portal-developer.nvidia.com). Pass the API key in the Authorization header as a Bearer token.\n\nExample: `Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ...`"}}, "security": [{"Bearer": []}], "tags": [{"name": "Build Versions", "description": "Query Build Versions on GFN"}, {"name": "Game Status", "description": "Query Game Status on GFN"}, {"name": "GFN Zones", "description": "Get all GFN Zones"}, {"name": "Keys", "description": "Generate API keys"}, {"name": "Platform-specific UI Schema", "description": "Create and manage UI schemas for distribution platforms"}, {"name": "Platform Build Details", "description": "Manage distribution platform details for pulling builds"}, {"name": "Uploads", "description": "Upload builds"}, {"name": "Builds", "description": "Create and manage builds and associated metadata"}, {"name": "Create Packages", "description": "Create packages either from existing build or new zip"}], "definitions": {"BuildVersionsResponseModel": {"properties": {"data": {"type": "array", "items": {"$ref": "#/definitions/BuildVersionModel"}}, "related": {"$ref": "#/definitions/BuildVersionRelatedModel"}, "paging": {"$ref": "#/definitions/Pagination"}}, "type": "object"}, "BuildVersionModel": {"properties": {"versionId": {"type": "string", "description": "Identifier of the games version", "example": "1028682"}, "developerVersion": {"type": "string", "description": "Identifier of the games version that is assigned by the developer", "example": "v1.2"}, "platformDetailsId": {"type": "string", "description": "Identifier for the platform details if the version is provided through chroma pull model", "example": "924ed667-d62b-4569-bc58-34e525c62cd9"}, "patchId": {"type": "string", "description": "Identifier for the patch", "example": "9e431650-5e9e-475a-8a9f-c436929fb204"}, "source": {"type": "string", "description": "The source from which the version is delivered", "example": "GPDS", "enum": ["UNKNOWN", "GPDS", "CHROMA", "GFNAP_DEVELOPER", "ONBOARDING", "CHROMA_ONBOARDING"]}, "versionStatus": {"type": "string", "description": "The status of the version", "example": "LIVE", "enum": ["UNKNOWN", "LIVE", "NOT_LIVE"]}, "versionCreationDateTime": {"type": "string", "format": "date-time", "description": "Date/time in UTC in ISO 8601 format which shows the date time that the version created", "example": "2021-03-30T22:16:26Z"}, "releaseDateTime": {"type": "string", "format": "date-time", "description": "Date/time in UTC in ISO 8601 format which shows the date time that the version is released publicly", "example": "2021-03-30T23:10:31Z"}, "prerelease": {"type": "boolean", "description": "Flag indicating whether the build version is pre-released or not", "example": false}, "buildDetailsAvailable": {"type": "boolean", "description": "Flag indicating whether details of uploaded/platform build is available in chroma", "example": true}}, "type": "object"}, "BuildVersionRelatedModel": {"properties": {"versionDetails": {"type": "array", "items": {"$ref": "#/definitions/BuildVersionDetailsModel"}}, "zoneDetails": {"type": "array", "items": {"$ref": "#/definitions/BuildVersionAppZoneModel"}}}, "type": "object"}, "BuildVersionDetailsModel": {"properties": {"versionId": {"type": "string", "description": "Identifier of the games version", "example": "1028682"}, "createdByDisplayName": {"type": "string", "description": "Email of the user who has created the build version", "example": "jane.doe@example.com"}, "notes": {"type": "string", "description": "Optional notes about the build for internal usage", "example": "Debug build 12.1", "maxLength": 10240}, "label": {"type": "string", "description": "User friendly readable label of the build assigned at the time of upload", "example": "Alpha testing build v.10", "maxLength": 100}, "evictionSetting": {"type": "string", "description": "Eviction setting of a build version", "example": "NEVER_EVICT", "enum": ["UNKNOWN", "EVICTION_POLICY", "NEVER_EVICT"]}, "buildTags": {"type": "array", "items": {"type": "string", "description": "Optional tags/keywords about the build", "example": "ReleaseBuild", "maxLength": 1024}}, "semanticVersion": {"type": "string", "description": "Semantic version for public display", "example": "1.0.1", "maxLength": 50}, "launchCommand": {"type": "string", "description": "Command needed to launch the title build", "example": "run abc.exe", "maxLength": 1024}}, "type": "object"}, "BuildVersionAppZoneModel": {"properties": {"versionId": {"type": "string", "description": "Identifier of the games version", "example": "1028682"}, "zones": {"type": "array", "items": {"$ref": "#/definitions/BuildVersionZoneModel"}}}, "type": "object"}, "BuildVersionZoneModel": {"properties": {"zoneName": {"type": "string", "description": "Name of the zone", "example": "NP-AMS-01"}, "available": {"type": "boolean", "description": "Flag indicating if the build version is available in the zone", "example": true}}, "type": "object"}, "Pagination": {"properties": {"total": {"type": "integer", "description": "Total number of objects", "example": 786}, "offset": {"type": "integer", "description": "Starting point within the list of objects", "example": 100}, "limit": {"type": "integer", "description": "Number of the returned objects for the given request", "example": 100}, "nextOffset": {"type": "integer", "description": "Starting point of the next list of objects", "example": 200}, "previousOffset": {"type": "integer", "description": "Starting point of the previous list of objects", "example": 0}}, "type": "object"}, "BuildVersionZonesResponseModel": {"properties": {"data": {"type": "array", "items": {"$ref": "#/definitions/BuildVersionZoneModel"}}}, "type": "object"}, "BuildVersionCancelModel": {"required": ["appId"], "properties": {"appId": {"type": "string", "description": "ID of the application whose build is requested to get cancel", "example": "11840135-eb5f-41fb-b5b5-7b4b1b302ac7"}, "notes": {"type": "string", "description": "Optional notes ragarding build cancellation", "example": "Canceled by developer due to issues around the build"}}, "type": "object", "additionalProperties": false}, "BuildVersionEvictModel": {"required": ["cmsId", "evictionSetting"], "properties": {"cmsId": {"type": "integer", "description": "CmsId the application whose build is requested to get cancel", "example": 102005611}, "evictionSetting": {"type": "string", "description": "eviction setting value to be updated", "example": "NEVER_EVICT", "enum": ["UNKNOWN", "EVICTION_POLICY", "NEVER_EVICT"]}}, "type": "object", "additionalProperties": false}, "GameStatusResponseModel": {"properties": {"data": {"$ref": "#/definitions/GameStatusModel"}}, "type": "object"}, "GameStatusModel": {"properties": {"visibilityStatus": {"type": "string", "description": "Visibility status of the game", "example": "PUBLIC", "enum": ["UNKNOWN", "PUBLIC", "PRIVATE"]}, "serverMaintenance": {"$ref": "#/definitions/ServerMaintenanceModel"}}, "type": "object"}, "ServerMaintenanceModel": {"properties": {"status": {"type": "boolean", "description": "Flag indicating whether the game is under server maintenance mode", "example": true}, "reason": {"type": "string", "description": "Reason label why the game is under server maintenance mode", "example": "DEV_OPT_OUT", "enum": ["DEV_OPT_OUT", "NVIDIA_INTERNAL"]}}, "type": "object"}, "GfnZonesResponseModel": {"properties": {"data": {"type": "array", "items": {"type": "string"}}}, "type": "object"}, "EncryptedIngestResponse": {"properties": {"kty": {"type": "string", "description": "Key type parameter", "example": "RSA"}, "kid": {"type": "string", "description": "Key ID parameter", "example": "2dsd832423432sfsfssdfsfssfsd"}, "n": {"type": "string", "description": "RSA Key values parameter n", "example": "r53dfswagdrikssw_23fdlskfj_45jfhslf"}, "e": {"type": "string", "description": "RSA Key values parameter e", "example": "AQAB"}, "alg": {"type": "string", "description": "(Algorithm) Parameter", "example": "RS256"}, "use": {"type": "string", "description": "(Public Key Use) Parameter", "example": "enc"}, "x5c": {"type": "array", "items": {"type": "string", "description": "X.509 Certificate Chain Parameter", "example": "JNEC+GECA_233sd_adlsjusdes"}}}, "type": "object"}, "PlatformSchema": {"properties": {"platform": {"type": "string", "description": "Platform / App store from which the build needs to be pulled", "example": "STEAM", "enum": ["EPIC", "STEAM", "GOG"]}, "description": {"type": "string", "description": "Details about the platform from which the build is pulled", "example": "STEAM"}, "fields": {"type": "array", "description": "List of fields specific to the platform", "items": {"$ref": "#/definitions/InputFieldModel"}}}, "type": "object", "additionalProperties": false}, "InputFieldModel": {"properties": {"name": {"type": "string", "description": "Name of the field", "example": "branchName"}, "label": {"type": "string", "description": "Display label for the field", "example": "Branch Name"}, "description": {"type": "string", "description": "Description for the field", "example": "Name of the branch that contains the build"}, "valueType": {"type": "string", "description": "Type of data that this field represents", "example": "string", "enum": ["string", "integer", "boolean"]}, "inputType": {"type": "string", "description": "Type of input (HTML) to be shown for this field in the UI", "example": "text", "enum": ["text", "password"]}, "isRequired": {"type": "boolean", "description": "Boolean that indicates if this field is required or not", "example": false}, "placeholder": {"type": "string", "description": "Placeholder text to display in the textbox before the user inputs any data", "example": "Enter branch name here"}, "maxLength": {"type": "integer", "description": "Maximum number of characters allowed for a text input", "example": 50, "minimum": 1}, "sortOrder": {"type": "integer", "description": "Sort order for the field", "default": 0, "example": 10}, "encrypt": {"type": "boolean", "description": "Boolean that indicates if this field needs to be encrypted", "default": false, "example": false}}, "type": "object", "additionalProperties": false}, "PlatformSchemaResponse": {"properties": {"data": {"$ref": "#/definitions/PlatformSchema"}}, "type": "object"}, "PlatformBuildDetailsMetadata": {"required": ["appId", "platformBuildDetails", "scheduledRelease", "timeToPull"], "properties": {"appId": {"type": "string", "description": "ID of the application for which platform details are provided to pull build(s)", "example": "92d204f6-3aaa-4100-bc67-483e0cda2fc0"}, "timeToPull": {"type": "string", "format": "date-time", "description": "ISO-8601 date time string indicating when NVIDIA should pull the build", "example": "2020-11-03T12:54:00"}, "platformBuildDetails": {"type": "object", "description": "Details specific to the platform for pulling build(s)"}, "scheduledRelease": {"type": ["string", "null"], "format": "date-time", "description": "Build release date in ISO-8601 format", "example": "2018-07-03T12:54:00"}, "label": {"type": "string", "description": "The label for the build", "example": "Debug build 12.1", "maxLength": 100}, "semanticVersion": {"type": "string", "description": "Semantic version for public display", "example": "1.0.1", "maxLength": 50}, "notes": {"type": "string", "description": "Optional notes about the build for internal usage", "example": "Debug build 12.1", "maxLength": 10240}, "target": {"type": "string", "description": "Determines how the build will be processed", "default": "GEFORCENOW", "example": "GEFORCENOW", "enum": ["GEFORCENOW"]}, "buildTags": {"type": "array", "items": {"type": "string", "description": "Optional tags/keywords about the build", "example": "ReleaseBuild", "maxLength": 1024}}}, "type": "object", "additionalProperties": false}, "PlatformBuildDetailsListResponse": {"properties": {"data": {"type": "array", "items": {"$ref": "#/definitions/PlatformBuildDetailsListAllProperties"}}, "paging": {"$ref": "#/definitions/Pagination"}}, "type": "object"}, "PlatformBuildDetailsListAllProperties": {"required": ["appId", "platformBuildDetails", "scheduledRelease", "timeToPull"], "properties": {"id": {"type": "string", "description": "UUID generated for the platform details", "readOnly": true, "example": "76d204f6-5bac-5647-da56-384e0cda20cf"}, "platform": {"type": "string", "description": "The platform which contains the build", "readOnly": true, "example": "STEAM", "enum": ["EPIC", "STEAM", "GOG"]}, "appId": {"type": "string", "description": "ID of the application for which platform details are provided to pull build(s)", "example": "92d204f6-3aaa-4100-bc67-483e0cda2fc0"}, "timeToPull": {"type": "string", "format": "date-time", "description": "ISO-8601 date time string indicating when NVIDIA should pull the build", "example": "2020-11-03T12:54:00"}, "platformBuildDetails": {"type": "object", "description": "Details specific to the platform for pulling build(s)"}, "scheduledRelease": {"type": ["string", "null"], "format": "date-time", "description": "Build release date in ISO-8601 format", "example": "2018-07-03T12:54:00"}, "label": {"type": "string", "description": "The label for the build", "example": "Debug build 12.1", "maxLength": 100}, "semanticVersion": {"type": "string", "description": "Semantic version for public display", "example": "1.0.1", "maxLength": 50}, "notes": {"type": "string", "description": "Optional notes about the build for internal usage", "example": "Debug build 12.1", "maxLength": 10240}, "target": {"type": "string", "description": "Determines how the build will be processed", "default": "GEFORCENOW", "example": "GEFORCENOW", "enum": ["GEFORCENOW"]}, "buildTags": {"type": "array", "items": {"type": "string", "description": "Optional tags/keywords about the build", "example": "ReleaseBuild", "maxLength": 1024}}, "createdBy": {"type": "string", "description": "ID of the user that created the entry", "example": "1234567890"}, "createdTime": {"type": "string", "format": "date-time", "description": "Time at which entry was created in ISO-8601 date/time format"}, "modifiedBy": {"type": "string", "description": "ID of the user that updated the entry", "example": "1234567890"}, "modifiedTime": {"type": "string", "format": "date-time", "description": "Time at which entry was created in ISO-8601 date/time format"}}, "type": "object"}, "PlatformBuildDetailsResponse": {"properties": {"data": {"$ref": "#/definitions/PlatformBuildDetailsAllProperties"}}, "type": "object"}, "PlatformBuildDetailsAllProperties": {"required": ["appId", "platformBuildDetails", "scheduledRelease", "timeToPull"], "properties": {"id": {"type": "string", "description": "UUID generated for the platform details", "readOnly": true, "example": "76d204f6-5bac-5647-da56-384e0cda20cf"}, "platform": {"type": "string", "description": "The platform which contains the build", "readOnly": true, "example": "STEAM", "enum": ["EPIC", "STEAM", "GOG"]}, "appId": {"type": "string", "description": "ID of the application for which platform details are provided to pull build(s)", "example": "92d204f6-3aaa-4100-bc67-483e0cda2fc0"}, "timeToPull": {"type": "string", "format": "date-time", "description": "ISO-8601 date time string indicating when NVIDIA should pull the build", "example": "2020-11-03T12:54:00"}, "platformBuildDetails": {"type": "object", "description": "Details specific to the platform for pulling build(s)"}, "scheduledRelease": {"type": ["string", "null"], "format": "date-time", "description": "Build release date in ISO-8601 format", "example": "2018-07-03T12:54:00"}, "label": {"type": "string", "description": "The label for the build", "example": "Debug build 12.1", "maxLength": 100}, "semanticVersion": {"type": "string", "description": "Semantic version for public display", "example": "1.0.1", "maxLength": 50}, "notes": {"type": "string", "description": "Optional notes about the build for internal usage", "example": "Debug build 12.1", "maxLength": 10240}, "target": {"type": "string", "description": "Determines how the build will be processed", "default": "GEFORCENOW", "example": "GEFORCENOW", "enum": ["GEFORCENOW"]}, "buildTags": {"type": "array", "items": {"type": "string", "description": "Optional tags/keywords about the build", "example": "ReleaseBuild", "maxLength": 1024}}, "createdBy": {"type": "string", "description": "ID of the user that created the entry", "example": "1234567890"}, "createdTime": {"type": "string", "format": "date-time", "description": "Time at which entry was created in ISO-8601 date/time format"}, "modifiedBy": {"type": "string", "description": "ID of the user that updated the entry", "example": "1234567890"}, "modifiedTime": {"type": "string", "format": "date-time", "description": "Time at which entry was created in ISO-8601 date/time format"}}, "type": "object"}, "PlatformBuildDetailsPatchData": {"properties": {"timeToPull": {"type": "string", "format": "date-time", "description": "ISO-8601 date time string indicating when NVIDIA should pull the build", "example": "2020-11-03T12:54:00"}, "scheduledRelease": {"type": ["string", "null"], "format": "date-time", "description": "Build release date in ISO-8601 format", "example": "2018-07-03T12:54:00"}, "label": {"type": "string", "description": "The label for the build", "example": "Debug build 12.1", "maxLength": 100}, "semanticVersion": {"type": "string", "description": "Semantic version for public display", "example": "1.0.1", "maxLength": 50}, "notes": {"type": "string", "description": "Optional notes about the build for internal usage", "example": "Debug build 12.1", "maxLength": 10240}, "buildTags": {"type": "array", "items": {"type": "string", "description": "Optional tags/keywords about the build", "example": "ReleaseBuild", "maxLength": 1024}}}, "type": "object", "additionalProperties": false}, "UploadScriptVersionModel": {"properties": {"version": {"type": "string", "description": "Version of the build upload script", "example": "1.0"}, "url": {"type": "string", "description": "Download URL of the build upload script", "example": "https://developer.geforcenow.com/learn-tools/upload.zip"}}, "type": "object"}, "ExpectedBuildData": {"required": ["appId"], "properties": {"appId": {"type": "string", "description": "Application id for which build is to be uploaded", "example": "92d204f6-3aaa-4100-bc67-483e0cda2fc0"}, "changeVersion": {"type": "string", "description": "Publisher/Developer internal change version (Ex: Git commit hash, Perforce CL number etc.)", "example": "f78d7407", "maxLength": 50}, "fileDetails": {"type": "object", "description": "The size and name of the build file", "example": {"fileName": "newbuild.zip", "fileSize": 1234}}, "label": {"type": "string", "description": "The label for the build", "example": "Debug build 12.1", "maxLength": 100}, "launchCommand": {"type": "string", "description": "The command required to launch the build, including any parameters or flags", "example": "game.exe -geforcenow", "maxLength": 1024}, "method": {"type": "string", "description": "One of UPLOAD, PULL or EXTERNAL", "default": "UPLOAD", "example": "UPLOAD", "enum": ["UPLOAD", "EXTERNAL"]}, "notes": {"type": "string", "description": "Optional notes about the build for internal usage", "example": "Debug build 12.1", "maxLength": 10240}, "buildTags": {"type": "array", "items": {"type": "string", "description": "Optional tags/keywords about the build", "example": "ReleaseBuild", "maxLength": 1024}}, "runConfiguration": {"$ref": "#/definitions/RunConfiguration"}, "semanticVersion": {"type": "string", "description": "Semantic version for public display", "example": "1.0.1", "maxLength": 50}, "scheduledRelease": {"type": ["string", "null"], "format": "date-time", "description": "Build release date in ISO-8601 format", "example": "2018-07-03T12:54:00"}, "target": {"type": "string", "description": "Determines how the build will be processed", "default": "GEFORCENOW", "example": "GEFORCENOW", "enum": ["GEFORCENOW", "GAMEREADYSERVICES", "GRAPHICS_DELIVERY_NETWORK", "UNKNOWN"]}, "pipelineId": {"type": "integer", "description": "Pipeline ID for the build", "example": 10}}, "type": "object", "additionalProperties": false}, "RunConfiguration": {"properties": {"hasDrm": {"type": "boolean", "description": "Boolean indicating if the build is protected by DRM", "example": true}, "eulaId": {"type": "string", "description": "Identifier for an existing EULA record to be presented to the user at game launch", "example": ""}}, "type": "object", "additionalProperties": false}, "BuildListResponse": {"properties": {"data": {"type": "array", "items": {"$ref": "#/definitions/Build Response Data"}}, "paging": {"$ref": "#/definitions/Pagination"}}, "type": "object"}, "Build Response Data": {"allOf": [{"$ref": "#/definitions/ExpectedBuildData"}, {"properties": {"id": {"type": "string", "description": "UUID for this build", "readOnly": true, "example": "f9c76864-eefb-41cb-a848-443f0850968f"}, "createdBy": {"type": "string", "description": "User who created the build", "example": "123456789012345678"}, "createdTime": {"type": "string", "format": "date-time", "description": "The time of the initial upload"}, "modifiedTime": {"type": "string", "format": "date-time", "description": "The last time this build was updated"}, "status": {"type": "string", "description": "Current status of the build", "readOnly": true, "example": "UPLOADING"}, "url": {"type": "string", "description": "The location of the downloadable build", "example": "https://s3.amazonaws.com/builds/857f0876-c7ad-4f63-86ce-1d8dd0761f2f"}}, "type": "object"}]}, "PostReturnResponse": {"properties": {"data": {"$ref": "#/definitions/BuildCreatedResponse"}, "_uploadConfig": {"$ref": "#/definitions/_uploadConfig"}}, "type": "object"}, "BuildCreatedResponse": {"allOf": [{"$ref": "#/definitions/Build Response Data"}, {"properties": {"uploadUrl": {"type": "string", "description": "The URL to upload to", "example": "https://cms.nvidia.com/api/1/uploads/4695df1b-1afe-42aa-bc2c-30d1aaee363f"}}, "type": "object"}]}, "_uploadConfig": {"properties": {"accessKey": {"type": "string", "description": "(Deprecated) AccessKey for evaporate.js to use", "example": "AccessKey"}, "bucket": {"type": "string", "description": "Bucket where the image will reside in", "example": "builds"}, "objectKey": {"type": "string", "description": "Path where the image will reside in", "example": "builds/<uuid>/build"}, "region": {"type": "string", "description": "Region where the image will reside in", "example": "us-east-1"}, "awsSignatureVersion": {"type": "string", "description": "Signature Version", "example": "4"}, "enableEncryption": {"type": "boolean"}, "encryptionAlgorithm": {"type": "string"}, "encryptionKeyId": {"type": "string"}, "uploadId": {"type": "string", "description": "Upload identifier", "example": "002d0883-ff42-4f6f-a1ac-7b7811dcb800"}, "s3UploadCredentials": {"description": "S3 Upload Credentials valid for 12 hours", "allOf": [{"$ref": "#/definitions/s3UploadCredentials"}]}}, "type": "object"}, "s3UploadCredentials": {"properties": {"accessKeyId": {"type": "string", "description": "AWS Access Key ID for uploading the file", "example": "AccessKey"}, "secretAccessKey": {"type": "string", "description": "AWS Secret Access Key for uploading the file", "example": "secretAccessKey"}, "sessionToken": {"type": "string", "description": "AWSSession token for uploading a file", "example": "sessionToken"}}, "type": "object"}, "ExpectedPatchData": {"properties": {"changeVersion": {"type": "string", "description": "Publisher/Developer internal change version (Ex: Git commit hash, Perforce CL number etc.)", "example": "f78d7407", "maxLength": 50}, "label": {"type": "string", "description": "The label for the build", "example": "Debug build 12.1", "maxLength": 100}, "launchCommand": {"type": "string", "description": "The command required to launch the build, including any parameters or flags", "example": "game.exe -geforcenow", "maxLength": 1024}, "notes": {"type": "string", "description": "Optional notes about the build for internal usage", "example": "Debug build 12.1", "maxLength": 10240}, "runConfiguration": {"$ref": "#/definitions/RunConfiguration"}, "semanticVersion": {"type": "string", "description": "Semantic version for public display", "example": "1.0.1", "maxLength": 50}, "scheduledRelease": {"type": ["string", "null"], "format": "date-time", "description": "Build release date in ISO-8601 format", "example": "2018-07-03T12:54:00"}, "buildTags": {"type": "array", "items": {"type": "string", "description": "Optional tags/keywords about the build", "example": "ReleaseBuild", "maxLength": 1024}}, "appId": {"type": "string", "description": "Application id for whose build is getting updated", "example": "92d204f6-3aaa-4100-bc67-483e0cda2fc0"}}, "type": "object", "additionalProperties": false}, "VersionApprovalStateModel": {"properties": {"approvalStatus": {"type": "string", "description": "One of NOT_APPROVED, AUTO_APPROVED, MANUALLY_APPROVED, DEVELOPER_UNAPPROVED", "example": "AUTO_APPROVED", "maxLength": 50}, "buildId": {"type": "string", "description": "One of NOT_APPROVED, AUTO_APPROVED, MANUALLY_APPROVED, DEVELOPER_UNAPPROVED", "example": "10130036", "maxLength": 50}}, "type": "object"}}, "responses": {"ParseError": {"description": "When a mask can't be parsed"}, "MaskError": {"description": "When any error occurs on mask"}, "UnavailableForLegalReasons": {}}}
